sb2-config(1)

NAME
sb2-config - scratchbox2 configuration tool

SYNOPSIS
sb2-config [OPTION]... [COMMAND [PARAMS]]

DESCRIPTION
sb2-config is used to set and display configuration of existing targets.

OPTIONS

-d default_target
    This option sets the default sb2 target. The name of the target will be written to your $HOME/.scratchbox2/config file.

-l  lists all available targets in your system. The names listed can be used as a parameter to the -d option.

-h  Display short help.

-v  Show version of this tool.

-t target
    select target to be used with commands (below)

COMMANDS

showtarget
    show default target.

showlog
    show configuration log

showenv
    show target-specific environment variables

setenv VARIABLE VALUE
    set target-specific environment variable. The value becomes effective when sb2 is executed.

clearenv VARIABLE
    set clearing for target-specific environment variable

unsetenv VARIABLE
    remove target-specific environment variable

EXAMPLES

$ sb2-config -d diablo41_armel

This command sets your default target to be diablo41_armel.

$ sb2-config -l

This example lists all installed targets in your host. The names listed can be used as a parameter to the -d option.

SEE ALSO
sb2(1), sb2-init(1), sb2-show(1)

AUTHOR
Lauri Leukkunen